Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454684 - foomatic-configure gives warning message when using -P or -Q options and produces no output
Summary: foomatic-configure gives warning message when using -P or -Q options and prod...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: foomatic
Version: 5.2
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-09 18:15 UTC by John McDonald
Modified: 2009-09-02 07:57 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-02 07:57:20 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:1240 normal SHIPPED_LIVE foomatic bug fix update 2009-09-01 08:31:08 UTC

Description John McDonald 2008-07-09 18:15:29 UTC
Description of problem:

When executing 'foomatic-configure -r -P -q', which should produce a perl hash
of printer information, I receive the following error message:

WARNING: No tool for downloading web content found, please install either
"wget" or "curl"! The result you got may be incorrect!
Cannot read /etc/foomatic/direct directory!

The same message appears when trying 'foomatic-configure -r -Q -q' (XML output).

No perl hash or xml data is returned after receiving the warning message.
To fix this functionality, I created /etc/foomatic/defaultspooler with
'cups' on the first line. After creating the defaultspooler file I was
able to view both the perl hash (-P) and xml data (-Q). This default file
should probably be created when foomatic-3.0.2-38.1.el5 is installed.

rpms installed on the system:

foomatic-3.0.2-38.1.el5
wget-1.10.2-7.el5
curl-7.15.5-2.el5
curl-devel-7.15.5-2.el5

Version-Release number of selected component (if applicable):

foomatic-3.0.2-38.1.el5

How reproducible:
Very..

Steps to Reproduce:
1.  Make sure that file /etc/foomatic/defaultspooler DOESN'T exist.  It
    shouldn't exist after foomatic-3.0.2-38.1.el5 is installed.
2.  Execute 'foomatic-configure -r -Q -q' or 'foomatic-configure -r -P -q'
    and observe the warning message:

  WARNING: No tool for downloading web content found, please install either
"wget" or "curl"! The result you got may be incorrect!
Cannot read /etc/foomatic/direct directory!

No XML or Perl hash returned

3.  Create /etc/foomatic/defaultspooler with 'cups' on the first line and the
    warning message will NOT appear and you should recieve XML or Perl hash.
  
Actual results:


Expected results:


Additional info:
This problem was also reported here:

http://bugs.centos.org/view.php?id=2970

Comment 6 errata-xmlrpc 2009-09-02 07:57:20 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1240.html


Note You need to log in before you can comment on or make changes to this bug.